CUDNN Frontend API 8.3.0

Public Types | Public Member Functions | Private Attributes | List of all members
nlohmann::detail::json_ref< BasicJsonType > Class Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::json_ref< BasicJsonType >:

## Public Types
using | value_type = BasicJsonType

## Public Member Functions
| json_ref (value_type &&value)
| json_ref (const value_type &value)
| json_ref (std::initializer_list< json_ref > init)
template<class... Args, enable_if_t< std::is_constructible< value_type, Args... >::value, int > = 0>
| json_ref (Args &&... args)
| json_ref (json_ref &&) noexcept=default
| json_ref (const json_ref &)=delete
json_ref & | operator= (const json_ref &)=delete
json_ref & | operator= (json_ref &&)=delete
| ~json_ref ()=default
value_type | moved_or_copied () const
value_type const & | operator* () const
value_type const * | operator-> () const

## Private Attributes
value_type | owned_value = nullptr
value_type const * | value_ref = nullptr

## Detailed Description

### template<typename BasicJsonType>
class nlohmann::detail::json_ref< BasicJsonType >

Definition at line 3444 of file json.hpp.

## Member Typedef Documentation

## ◆ value_type

template<typename BasicJsonType >

using nlohmann::detail::json_ref< BasicJsonType >::value_type = BasicJsonType

Definition at line 13039 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ json_ref() [1/6]

template<typename BasicJsonType >

nlohmann::detail::json_ref< BasicJsonType >::json_ref | ( | value_type && | value | ) |
| inline

Definition at line 13041 of file json.hpp.

## ◆ json_ref() [2/6]

template<typename BasicJsonType >

nlohmann::detail::json_ref< BasicJsonType >::json_ref | ( | const value_type & | value | ) |
| inline

Definition at line 13045 of file json.hpp.

## ◆ json_ref() [3/6]

template<typename BasicJsonType >

nlohmann::detail::json_ref< BasicJsonType >::json_ref | ( | std::initializer_list< json_ref< BasicJsonType > > | init | ) |
| inline

Definition at line 13049 of file json.hpp.

References nlohmann::detail::value.

## ◆ json_ref() [4/6]

template<typename BasicJsonType >
template<class... Args, enable_if_t< std::is_constructible< value_type, Args... >::value, int > = 0>

nlohmann::detail::json_ref< BasicJsonType >::json_ref | ( | Args &&... | args | ) |
| inline

Definition at line 13056 of file json.hpp.

## ◆ json_ref() [5/6]

template<typename BasicJsonType >

nlohmann::detail::json_ref< BasicJsonType >::json_ref | ( | json_ref< BasicJsonType > && |  | ) |
| defaultnoexcept

## ◆ json_ref() [6/6]

template<typename BasicJsonType >

nlohmann::detail::json_ref< BasicJsonType >::json_ref | ( | const json_ref< BasicJsonType > & |  | ) |
| delete

## ◆ ~json_ref()

template<typename BasicJsonType >

nlohmann::detail::json_ref< BasicJsonType >::~json_ref | ( |  | ) |
| default

## Member Function Documentation

## ◆ moved_or_copied()

template<typename BasicJsonType >

value_type nlohmann::detail::json_ref< BasicJsonType >::moved_or_copied | ( |  | ) | const
| inline

Definition at line 13067 of file json.hpp.

## ◆ operator*()

template<typename BasicJsonType >

value_type const& nlohmann::detail::json_ref< BasicJsonType >::operator* | ( |  | ) | const
| inline

Definition at line 13076 of file json.hpp.

## ◆ operator->()

template<typename BasicJsonType >

value_type const* nlohmann::detail::json_ref< BasicJsonType >::operator-> | ( |  | ) | const
| inline

Definition at line 13081 of file json.hpp.

## ◆ operator=() [1/2]

template<typename BasicJsonType >

json_ref& nlohmann::detail::json_ref< BasicJsonType >::operator= | ( | const json_ref< BasicJsonType > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<typename BasicJsonType >

json_ref& nlohmann::detail::json_ref< BasicJsonType >::operator= | ( | json_ref< BasicJsonType > && |  | ) |
| delete

## Member Data Documentation

## ◆ owned_value

template<typename BasicJsonType >

value_type nlohmann::detail::json_ref< BasicJsonType >::owned_value = nullptr
| mutableprivate

Definition at line 13087 of file json.hpp.

## ◆ value_ref

template<typename BasicJsonType >

value_type const* nlohmann::detail::json_ref< BasicJsonType >::value_ref = nullptr
| private

Definition at line 13088 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp